<?
/**
 * VoiceOne Settings/Offices
 *
 * Frontend to provide access to the offices system in voiceone.
 * @package voiceone
 * @subpackage  settings_offices
 */
  include ("../../admin/config/cfg.php");
  global $cwlang;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();
  
  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delOffice($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">".$cwlang["dept"]["alertDelGood"]."</div>";
    else $alert="<div class=\"AlertBad\">".$cwlang["dept"]["alertDelBad"]."</div>";
  }
  
  $ret=$asterisk->getOffice(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  $count=0;
  if (is_array($ret)) 
  foreach($ret as $v) {
    $id=$v["id"];
    $name=$v["name"];
    $icon=getIcon(IAX2);
    $html.="<td>$icon <a href=\"edit/?id=$id\">$name</a>  <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Are you sure to remove the $name department?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
    if ((++$count)%2==0) $html.="</tr><tr>\n";
  }
  
  //================ MAIN CONTENTS ================
  ob_start();
  ?>
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$cwlang["dept"]["title"]?></h1>
    <h3>
      <a href="edit/" class="admin" ><?=$cwlang["dept"]["newDept"]?></a> 
    </h3>
  </div>
  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>     
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["dept"]["sidebarTitle"]?></h1>
          <p><?=$cwlang["dept"]["sidebarText"]?></p>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "offices");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

